<!DOCTYPE html>
<style>
    #login-dp{
        min-width: 250px;
        padding: 14px 14px 0;
        overflow:hidden;
        background-color:rgba(255,255,255,.8);
    }
    #login-dp .bottom{
        background-color:rgba(255,255,255,.8);
        border-top:1px solid #ddd;
        clear:both;
        padding:14px;
    }
    @media(max-width:768px){
        #login-dp{
            background-color: inherit;
            color: #fff;
        }
        #login-dp .bottom{
            background-color: inherit;
            border-top:0 none;
        }
    }



</style>

<html lang="en" xmlns="http://www.w3.org/1999/xhtml" xmlns:th="http://www.thymeleaf.org">
<head>

    <title>Restaurant</title>

    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css"></link>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.1.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
    <script src="https://maps.googleapis.com/maps/api/js?key=AIzaSyCKh2KvTm-4KTAVf4tC1rgHpNQ8sDHATHg&;callback=initMap">
    </script>
    <style>
        #map {
            height: 400px;
            width: 100%;
        }
    </style>
</head>



<body background="http://s1.1zoom.me/big0/862/Fast_food_Pizza_Tomatoes_Pepper_Wood_planks_528059_1280x853.jpg" style="color: #FDFEFE">
<nav class="navbar navbar-default navbar-inverse" role="navigation">
    <div class="container-fluid">
        <!-- Brand and toggle get grouped for better mobile display -->

        <div class="navbar-header">
            <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#bs-example-navbar-collapse-1">
                <span class="sr-only">Toggle navigation</span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
            </button>
            <a class="navbar-brand" href="/user/home">Pedidos Cotoca</a>
        </div>

        <!-- Collect the nav links, forms, and other content for toggling -->
        <div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">
            <ul class="nav navbar-nav">
                <li class="active"><a href="/user/orders">Todos mis Pedidos</a></li>
            </ul>
            <ul class="nav navbar-nav navbar-right">
                <li><a><i class="glyphicon glyphicon-user"></i><td th:text="${nameA}">Nombre </td></a></li>
                <li><a th:href="${'/logout'}"><Afiliados>Cerrar Sesion</Afiliados></a></li>
            </ul>
        </div><!-- /.navbar-collapse -->
    </div><!-- /.container-fluid -->
</nav>



<h3>Restaurante</h3><p th:text="${order.product.restaurant.name}"></p>
<br />
<h3>Producto</h3><p th:text="${order.product.name}"></p>
<br />
<h3>Precio</h3><p th:text="${order.price}"></p>
<br />
<h3>Cantidad</h3><p th:text="${order.quantity}"></p>
<br />
<h3>Estado</h3><p th:text="${order.status}"></p>
<br />


<div class="container">
    <div class="col-md-8">
        <div id="map">
        </div>
    </div>
    <div class="col-md-4" style="background-image: url('https://club.playerone.com.co/wp-content/uploads/2015/09/fondo-blanco.jpg');">
        <div id="right-panel">
            <span id="total"></span>
        </div>
    </div>
</div>
<script th:inline="javascript">
    function initMap() {
        var cbba = new google.maps.LatLng([[${-17.389}]], [[${-66.156}]]);

        var map = new google.maps.Map(document.getElementById('map'), { //creo el mapa
            zoom: 15,
            center: cbba  // latitud y longitud de la Universidad(posicion en la que se crea el mapa).
        });

        var directionsService = new google.maps.DirectionsService;
        var directionsDisplay = new google.maps.DirectionsRenderer({
            draggable: false,  //true permite mover los puntos de origen y destino
            map: map,
            panel: document.getElementById('right-panel')
        });

        directionsDisplay.addListener('directions_changed', function() {
            computeTotalDistance(directionsDisplay.getDirections());
        });
        //llama a la funcion displayRoute definida luego
        displayRoute(new google.maps.LatLng([[${lat1}]], [[${lon1}]]), new google.maps.LatLng([[${lat}]], [[${lon}]]), directionsService,
            directionsDisplay);
    }

    function displayRoute(origin, destination, service, display) {
        service.route({
            origin: origin,
            destination: destination,
            travelMode: 'DRIVING',   //se puede cambiar a otros 3 modos(WALKING,BICYCLING,TRANSIT)
            avoidTolls: true
        }, function(response, status) {
            if (status === 'OK') {
                display.setDirections(response);
            } else {
                alert('No se pudo mostrar las direcciones debido a: ' + status);
            }
        });
    }


    initMap();//llama al la funcion para dibujar el mapa
</script>


</body>
</html>